%define rname mplayerplug-in
%def_with gtk2

Name: mozilla-plugin-%rname
Version: 3.55
Release: alt1
Summary: MPlayer Plugin for Netscape/Mozilla
License: GPL
Group: Networking/WWW
Url: http://mplayerplug-in.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: http://sourceforge.net/projects/%rname/files/%rname/v3.55/%rname-%version.tar.gz
Patch: mplayerplug-in-3.31-buildfix.patch
Patch1: mplayerplug-in-3.55-glibc210.patch
Patch2: mplayerplug-in-3.55-playlist-segfault.patch
Patch3: mplayerplug-in-3.55-support-m4a.patch
Obsoletes: %rname

Requires: browser-plugins-npapi MPlayer
BuildRequires(pre): rpm-build-browser-plugins
# Automatically added by buildreq on Wed Jan 27 2010
BuildRequires: gcc-c++ libXext-devel libXpm-devel libXt-devel libgtk+2-devel seamonkey-devel

BuildRequires: xorg-proto-devel gcc-c++ libstdc++-devel pkg-config
BuildRequires: browser-plugins-npapi-devel glib2-devel
%if_with gtk2
BuildRequires: libatk-devel libgtk+2-devel libpango-devel
%endif

%description
mplayerplug-in is a Mozilla browser plugin to allow playing
embedded movies on web pages.

%prep
%setup -q -n %rname
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
%if_without gtk2
	--enable-x \
	--disable-gtk2
%endif

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%browser_plugins_path
mv %buildroot%_libdir/mozilla/plugins/%{rname}* %buildroot%browser_plugins_path/

%find_lang %rname

%files -f %rname.lang
%doc ChangeLog INSTALL README TODO
%browser_plugins_path/%{rname}*
%config(noreplace) %_sysconfdir/%rname.conf
%_sysconfdir/%rname.types

%changelog
* Wed Jan 27 2010 Andrew Clark <andyc@altlinux.org> 3.55-alt1
- update to version 3.55
- added patches from Debian and Gentoo

* Mon Nov 06 2006 Kirill A. Shutemov <kas@altlinux.ru> 3.31-alt1
- 3.31
- patch to fix building

* Fri May 19 2006 Kirill A. Shutemov <kas@altlinux.ru> 3.25-alt1
- 3.25

* Mon Feb 27 2006 Kirill A. Shutemov <kas@altlinux.ru> 3.21-alt1
- 3.21

* Tue Sep 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.11-alt1
- 3.11

* Tue Sep 13 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.10-alt1
- 3.10

* Wed Aug 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.05-alt1
- 3.05

* Mon Jul 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.01-alt1
- 3.01
- fixed requires

* Tue Jul 19 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0-alt1
- 3.0

* Thu Jun 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.85-alt1
- 2.85

* Mon Feb 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.80-alt1
- 2.80

* Sat Jan 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.75-alt2
- Rebuild with new plagins policy

* Tue Dec 28 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.75-alt1
- 2.75

* Wed Sep 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.70-alt1
- new version

* Mon Jun 21 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.66-alt1
- new version

* Fri May 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.60-alt1
- initial release
